[arch-haskell] Heads-up: ghc-7.0.1-1 => testing

Rémy Oudompheng remyoudompheng at gmail.com
Sat Oct 12 07:37:45 UTC 2013

On 2010/11/26 Rémy Oudompheng <remyoudompheng at gmail.com> wrote:
> On 2010/11/24 Rémy Oudompheng <remyoudompheng at gmail.com> wrote:
>> deepseq ->
>> HTTP 4000.0.9 -> 4000.0.10
>> mtl ->
> As you may have noticed, ghc-7* was moved to [staging] by other devs.
> I began rebuilding current versions of libraries when they were
> compatible. I would like your approval to do the following:
> deepseq ->
> (version is incompatible with GHC7 because it specifies a
> wrong version range, but the source code is identical, so this upgrade
> is absolutely harmless)
> mtl ->
> (version is incompatible with GHC7, but it looks like
> is API-compatible. It seems HP2011 will choose mtl 2.* however)
> Those packages would also end up in the [staging] repo.

Most libraries are now in [staging]. I've built darcs as an example:
it needs several patches to work, I've tken them from


More information about the arch-haskell mailing list